be.fgov.ehealth.daas.commons.v2

## Class PeriodType

- java.lang.Object
- - be.fgov.ehealth.daas.commons.v2.PeriodType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:08:07+01:00",
                 comments="JAXB RI v2.3.7")
      public class PeriodType
      extends Object
      implements Serializable

  Period in time.

  Java class for PeriodType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PeriodType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice minOccurs="0">
                 <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
                 <element ref="{urn:be:fgov:ehealth:daas:complextype:v1}StartDate"/>
               </choice>
               <choice minOccurs="0">
                 <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
                 <element ref="{urn:be:fgov:ehealth:daas:complextype:v1}EndDate"/>
               </choice>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeriodType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getEndDate01()` Gets the value of the endDate01 property.
    `org.joda.time.DateTime` | `getEndDate02()` Gets the value of the endDate02 property.
    `org.joda.time.DateTime` | `getStartDate01()` Gets the value of the startDate01 property.
    `org.joda.time.DateTime` | `getStartDate02()` Gets the value of the startDate02 property.
    `void` | `setEndDate01(org.joda.time.DateTime value)` Sets the value of the endDate01 property.
    `void` | `setEndDate02(org.joda.time.DateTime value)` Sets the value of the endDate02 property.
    `void` | `setStartDate01(org.joda.time.DateTime value)` Sets the value of the startDate01 property.
    `void` | `setStartDate02(org.joda.time.DateTime value)` Sets the value of the startDate02 property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PeriodType

          public PeriodType()

  - ### Method Detail

    - #### getStartDate02

          public org.joda.time.DateTime getStartDate02()

      Gets the value of the startDate02 property.
      Returns:
        possible object is `String`

    - #### setStartDate02

          public void setStartDate02(org.joda.time.DateTime value)

      Sets the value of the startDate02 property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStartDate01

          public org.joda.time.DateTime getStartDate01()

      Gets the value of the startDate01 property.
      Returns:
        possible object is `String`

    - #### setStartDate01

          public void setStartDate01(org.joda.time.DateTime value)

      Sets the value of the startDate01 property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate02

          public org.joda.time.DateTime getEndDate02()

      Gets the value of the endDate02 property.
      Returns:
        possible object is `String`

    - #### setEndDate02

          public void setEndDate02(org.joda.time.DateTime value)

      Sets the value of the endDate02 property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate01

          public org.joda.time.DateTime getEndDate01()

      Gets the value of the endDate01 property.
      Returns:
        possible object is `String`

    - #### setEndDate01

          public void setEndDate01(org.joda.time.DateTime value)

      Sets the value of the endDate01 property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.